Subject: Remove manual array calculation in Locales and put the arrays to the class directly
Description

the constructor calculates the same stuff over and over again on __construct() each request.... We are talking about a small count of
vlaues: hardcode them

History

#1 - 2014-09-07 14:42 - Stephan GroBberndt

You are talking about TYPO3\CMS\Core\Localization\Locales?

It implements \TYPO3\CMS\Core\SingletonInterface, initialize() it is only called once per request.

$instance->languages and $instance->localeDependencies cannot be put in the class because of user-defined locales.

The only optimization possible would be to remove

$instance->isoMapping = array_flip($instance->isoReverseMapping);

and put the "->isoMapping" array into the class hardcoded.

Is this what you intended with this bug report?

#2 - 2015-03-11 23:57 - Stephan GroBberndt

Steffen, can you please explain what was intended here?

#3 - 2015-07-18 18:01 - Wouter Wolters
- Status changed from New to Needs Feedback
